حياة

تثبيت RVM على لينكس

تثبيت RVM على لينكس

01 من 06

المقدمة

يعد إعداد بيئة Linux الخاص بك لـ RVM هو الجزء الأصعب من تثبيت RVM نفسه. إذا لم تكن معتادًا على عملية تجميع روبي من المصدر ، يمكنك أن تضيع قليلاً. لحسن الحظ ، توزيعات مثل Ubuntu تجعل الأمور سهلة للغاية.

هذه التعليمات مكتوبة على أوبونتو. بالنسبة للجزء الأكبر ، سوف تنطبق على أي توزيع قائم على دبيان أو أوبونتو. بالنسبة إلى التوزيعات الأخرى ، قد تختلف أسماء الحزمة ، لكن يلزم تثبيت نفس المكتبات وهذه.

02 من 06

تثبيت دول مجلس التعاون الخليجي وغيرها من الأدوات

أولاً وقبل كل شيء تحتاج إلى برنامج التحويل البرمجي C والأداة المساعدة Make. وعادة ما يتم تجميع هذه جنبا إلى جنب مع بعض الأدوات الأخرى وخلف الكواليس السحر في حزمة تسمى بناء ضرورية. هذه هي الحزمة الأولى التي يجب تثبيتها.

sudo $ الحصول على تثبيت بناء الأساسية

بالإضافة إلى ذلك ، سوف تحتاج RVM أيضًا إلى حليقة لتنزيل الملفات. هذا أيضا apt-get بسيط.

$ sudo apt-get install curl
03 من 06

تثبيت مكتبات التنمية

بعد ذلك ، ستحتاج إلى عدد قليل من المكتبات ونظرائهم في حزم التطوير الخاصة بهم. اثنين من هذه المكتبات هي readline ، والتي تتيح لك تحرير سطور النص في bash أو IRB ، و zlib ، والتي سوف تحتاجها Rubygems لتعمل. وشملت أيضا هو OpenSSL و LibXML.

$ sudo apt-get install zlib1g-dev libreadline-dev libssl-dev libxml2-dev
04 من 06

تثبيت RVM

الآن وبعد الانتهاء من الإعداد ، قم بتثبيت RVM بنفسه. يتم ذلك عبر برنامج نصي يمكنك تنزيله وتشغيله مباشرة باستخدام أمر واحد.

باش دولار مستقرة

إلحاق السطر التالي بـ ~ / .bashrc ملف.

-s "$ HOME / .rvm / scripts / rvm" &&. "$ HOME / .rvm / scripts / rvm" # هذا يحمّل RVM

ثم أعد تحميل بيئة bash (أو أغلق نافذة المحطة الطرفية وافتح نافذة جديدة).

$ المصدر ~ / .bashrc05 من 06

المزيد عن المتطلبات

في الإصدارات اللاحقة من RVM ، متطلبات rvm تمت إضافة الأمر لإعطائك المزيد من المعلومات حول متطلبات الإنشاء والتشغيل لمختلف أنواع الياقوت. يمكنك رؤية قائمة المتطلبات هذه وإطلاعها عليها عن طريق التشغيل متطلبات rvm.

متطلبات rvm $

حتى يعطيك مفيد الرابطة بين الحصول على أوامر يمكنك ببساطة نسخ ولصق.

06 من 06

تثبيت روبي

ربما تحتاج إلى تثبيت مترجم MRI Ruby (مترجم Ruby الرسمي ، الذي ربما تكون على دراية به بالفعل). للقيام بذلك (بعد تثبيت تبعيات الإنشاء ، راجع الخطوات السابقة) ، إنها عملية بسيطة rvm تثبيت 1.9.3. يمنحك هذا الإصدار 1.9.3 لمترجم MRI (الإصدار الثابت في وقت كتابة هذه المقالة) بأحدث مستوى تصحيح.

rvm $ تثبيت 1.9.3

وهذا كل شيء. تذكر أن rvm استخدام 1.9.3 قبل البدء في استخدام روبي وهذا كل شيء ، تم تثبيت روبي.

شاهد الفيديو: تنصيب أداة Beef في توزيعة kali linux (أبريل 2020).